<template>
  <!-- eslint-disable vue/no-v-html -->
  <nuxt-link :id="`cta-${cta.name}`" :to="cta.slug">
    <section
      class="flex bg-fixed bg-no-repeat bg-cover group"
      :style="`background-image: url(${cta.backgroundImage});`"
    >
      <div
        class="flex items-center w-full p-3 transition-all duration-300 ease-in-out bg-fixed bg-no-repeat bg-cover border border-transparent rounded shadow-xl group-hover:shadow-2xl group-hover:border-primary-100"
      >
        <div class="grid w-full grid-cols-3">
          <div class="relative flex items-center justify-start col-span-3">
            <div class="w-full ml-10 md:w-1/2">
              <div class="flex items-center justify-between h-40">
                <div>
                  <!-- TODO Integrate with wordpress and change for nuxt-link
                    Must be a manual acf inputs
                  -->
                  <h3
                    class="text-2xl font-normal uppercase"
                    v-html="cta.name"
                  />
                </div>

                <div class="h-24 border-r-2 rounded border-secondary-200"></div>

                <div class="text-center">
                  <p class="text-sm font-light leading-none">From</p>
                  <p class="text-3xl font-extrabold leading-none">
                    <!-- <span class="-mr-1 text-lg align-top">$</span> -->
                    {{ cta.price.split('.')[0] }}
                    <span class="-ml-1 text-lg align-top">
                      {{ cta.price.split('.')[1] }}
                    </span>
                  </p>
                </div>

                <img
                  class="hidden cta-image md:block"
                  :src="cta.image"
                  :alt="`${cta.name} CTA`"
                />
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </nuxt-link>
</template>

<script>
export default {
  props: {
    cta: {
      type: Object,
      required: true,
    },
  },
}
</script>

<style lang="postcss" scoped>
.cta-image {
  position: absolute;
  right: 0;
  top: 0;
  transform: translate(0%, -20%);
}
</style>
